/**
 * database.cpp is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "database.h"


DataBase::DataBase(QObject *parent) : QObject(parent)
{
     
}
     
DataBase::~DataBase()
{
     
}
     
void DataBase::connectToDataBase()
{
    this->openDataBase();
}

bool DataBase::openDataBase()
{
    QSettings settings(QSettings::IniFormat, QSettings::UserScope, "mbse", "bmsapp");

    settings.beginGroup("dbdev");
    qDebug() << settings.value("host").toString() << settings.value("port").toString() << settings.value("name").toString() << settings.value("user").toString() << settings.value("pass").toString();
    db = QSqlDatabase::addDatabase("QMYSQL");
    db.setHostName(settings.value("host").toString());
    db.setPort(settings.value("port").toInt());
    db.setDatabaseName(settings.value("name").toString());
    db.setUserName(settings.value("user").toString());
    db.setPassword(settings.value("pass").toString());
    settings.endGroup();

    if (db.open()) {
	qDebug() << "Database open success";
	return true;
    } else {
	qDebug() << "Database open failed";
	return false;
    }
}
     
void DataBase::closeDataBase()
{
    qDebug() << "Database close called";
    db.close();
}

